Package ru.bitel.bgbilling.modules.subscription.common.service

# Interface SubscriptionService

public interface SubscriptionService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `groupOperationActivateSubscription(int[] contractIds, int[] subscriptionTypeIds)`
  `int[]`
  `groupOperationAddSubscription(int[] contractIds, int[] subscriptionTypeIds, Subscription subscription)`
  `int[]`
  `groupOperationCloseSubscription(int[] contractIds, int[] subscriptionTypeIds, Date dateTo)`
  `void`
  `subscriptionActivate(int subscriptionId)`
  `int`
  `subscriptionDelete(int id)`
  `Subscription`
  `subscriptionGet(int id)`
  `List<Subscription>`
  `subscriptionList(int contractId, boolean loadRegistrationPeriod)`
  `List<RegistrationPeriod>`
  `subscriptionRegistrationPeriodList(int subscriptionId)`
  `Boolean[][]`
  `subscriptionStatusMatrixGet(List<Integer> subscriptionIds, List<Integer> statusIds, boolean replaceDefaultToValue)`
  `void`
  `subscriptionStatusMatrixUpdate(List<Integer> subscriptionIds, List<Integer> statusIds, Boolean[][] values)`
  `int`
  `subscriptionTypeDelete(int id)`
  `SubscriptionType`
  `subscriptionTypeGet(int id)`
  `List<SubscriptionType>`
  `subscriptionTypeList()`
  `List<SubscriptionType>`
  `subscriptionTypes()`
  `int`
  `subscriptionTypeUpdate(SubscriptionType type)`
  `int`
  `subscriptionUpdate(Subscription subscription)`

- ## Method Details

  - ### subscriptionActivate

    void subscriptionActivate(int subscriptionId) throws Exception
    Throws:
      `Exception`

  - ### subscriptionList

    List<Subscription> subscriptionList(int contractId, boolean loadRegistrationPeriod) throws Exception
    Throws:
      `Exception`

  - ### subscriptionRegistrationPeriodList

    List<RegistrationPeriod> subscriptionRegistrationPeriodList(int subscriptionId) throws Exception
    Throws:
      `Exception`

  - ### subscriptionGet

    Subscription subscriptionGet(int id) throws Exception
    Throws:
      `Exception`

  - ### subscriptionUpdate

    int subscriptionUpdate(Subscription subscription) throws Exception
    Throws:
      `Exception`

  - ### subscriptionDelete

    int subscriptionDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### subscriptionTypeList

    List<SubscriptionType> subscriptionTypeList() throws Exception
    Throws:
      `Exception`

  - ### subscriptionTypeGet

    SubscriptionType subscriptionTypeGet(int id) throws Exception
    Throws:
      `Exception`

  - ### subscriptionTypeUpdate

    int subscriptionTypeUpdate(SubscriptionType type) throws Exception
    Throws:
      `Exception`

  - ### subscriptionTypeDelete

    int subscriptionTypeDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### groupOperationAddSubscription

    int[] groupOperationAddSubscription(int[] contractIds, int[] subscriptionTypeIds, Subscription subscription) throws Exception
    Throws:
      `Exception`

  - ### groupOperationCloseSubscription

    int[] groupOperationCloseSubscription(int[] contractIds, int[] subscriptionTypeIds, Date dateTo) throws Exception
    Throws:
      `Exception`

  - ### groupOperationActivateSubscription

    int[] groupOperationActivateSubscription(int[] contractIds, int[] subscriptionTypeIds) throws Exception
    Throws:
      `Exception`

  - ### subscriptionTypes

    List<SubscriptionType> subscriptionTypes() throws Exception
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `Exception`

  - ### subscriptionStatusMatrixGet

    Boolean[][] subscriptionStatusMatrixGet(List<Integer> subscriptionIds, List<Integer> statusIds, boolean replaceDefaultToValue) throws Exception
    Parameters:
      `subscriptionIds` -
      `statusIds` -
      `replaceDefaultToValue` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `Exception`

  - ### subscriptionStatusMatrixUpdate

    void subscriptionStatusMatrixUpdate(List<Integer> subscriptionIds, List<Integer> statusIds, Boolean[][] values) throws Exception
    Parameters:
      `subscriptionIds` -
      `statusIds` -
      `values` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `Exception`